import Project from "../Project/Project";
import printErrorOrDebug from "./PrintErrorOrDebug";
import { getGlobalProjects } from "./Projects";

export const addProject = (f:{():Project}) =>{
    const project = f()
    if(getGlobalProjects()[project.name]){
        printErrorOrDebug(`the project ${project.name} was used please rename it`)
    }
    getGlobalProjects()[project.name] = project
}