import printDebug from "./DebugPrint";
import { getGlobalNmake } from "./GlobalNmake"
import printErrorOrDebug from "./PrintErrorOrDebug";


export const setNmakePath = (path:string)=>{
    printDebug("setting nmake path "+path)
    getGlobalNmake().nmakePath = path;
}

export const getNmakePath = ():string=>{
    printDebug("getting nmake path")
    if(getGlobalNmake().nmakePath==undefined){
        printErrorOrDebug("cannot get nmake path")
    }
    return getGlobalNmake().nmakePath
}